Bug 1121967 - jsonrpc: Edit host restores default protocol
Summary: jsonrpc: Edit host restores default protocol
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: Antonin Pagac
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 09:06 UTC by Piotr Kliczewski
Modified: 2016-02-10 19:30 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:26:07 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29928 master MERGED jsonrpc: Edit host restores default protocol Never
oVirt gerrit 30566 ovirt-engine-3.5 MERGED jsonrpc: Edit host restores default protocol Never

Description Piotr Kliczewski 2014-07-22 09:06:26 UTC
Description of problem:

When host is edited from the UI when saved protocol setting is overwriten to default value.


How reproducible:


Steps to Reproduce:
1. Install new host with jsonrpc
2. Edit host and save


Actual results:
Protocol setting for host is set to xmlrpc

Expected results:
No matter what was the setting it should keep original value.

Additional info:

Comment 1 Antonin Pagac 2014-09-05 13:41:00 UTC
Verified.

oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6

Comment 2 Sandro Bonazzola 2014-10-17 12:26:07 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.